clear

// Logit Regressions on pooled datasets

use h39.x.all.60s.scd.dta

gen NE = (state >= 1 & state <= 6)
gen PA = ( state == 14 )

eststo clear

logit vote partyR wealth mfgpc farmpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc c.NE##c.mfgpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc c.NE##c.mfgpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc tradedprop, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpr tradedpc ntradedpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc tradedprop c.NE##c.mfgpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

esttab using results_pooled_60s.rtf, drop(o.mfgpc) replace

clear

// 70s

use h43.x.all.70s.scd.dta

gen NE = (state >= 1 & state <= 6)
gen PA = ( state == 14 )

eststo clear

logit vote partyR wealth mfgpc farmpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc c.NE##c.mfgpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc c.NE##c.mfgpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc tradedprop, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpr tradedpc ntradedpc, vce(cluster statecd)
eststo

logit vote partyR wealth mfgpc farmpc tradedprop c.NE##c.mfgpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

esttab using results_pooled_70s.rtf, drop(o.mfgpc) replace

clear


// Linear regressions on wide dataset

// 60s

use h39.x.all.60s.wide.scd.dta

gen NE = (state >= 1 & state <= 6)
gen PA = ( state == 14 )

eststo clear

reg vhardprop partyR wealth mfgpc farmpc, vce(cluster statecd)
eststo

reg vhardprop partyR wealth mfgpc farmpc c.NE##c.mfgpc, vce(cluster statecd)
eststo

reg vhardprop partyR wealth mfgpc farmpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

reg vhardprop partyR wealth mfgpc farmpc c.NE##c.mfgpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

reg vhardprop partyR wealth mfgpc farmpc tradedprop, vce(cluster statecd)
eststo

reg vhardprop partyR wealth mfgpr tradedpc ntradedpc, vce(cluster statecd)
eststo

reg vhardprop partyR wealth mfgpc farmpc tradedprop c.NE##c.mfgpc c.PA##c.mfgpc, vce(cluster statecd)
eststo

esttab using results_wide_vhardprop_60s.rtf, drop(o.mfgpc) replace
