set varabbrev off

fsx *.x.all.*0s.scd.dta

foreach file in `r(files)' {
    clear
    use `file'
    capture drop ne
    capture drop pa
    capture drop ne_mfgpc
    capture drop pa_mfgpc
    capture drop z2*

    label var vote "Vote"
    label var partyR "Republican"
    label var wealth "Wealth"
    label var mfgpc "Mfg output per capita"
    label var farmpc "Farm output per capita"
    label var tradedprop "Proportion of farm output tradable"
    label var tradedpc "Tradable farm output per capita"
    label var ntradedpc "Nontradable farm output per capita"

    gen ne=(state<=6)
    gen pa=(state==14)
    gen ne_mfgpc=ne*mfgpc
    gen pa_mfgpc=pa*mfgpc
    label var ne_mfgpc "New England mfg"
    label var pa_mfgpc "Pennsylvania mfg"
    local vars mfgpc farmpc tradedpc ntradedpc wealth tradedprop ne_mfgpc pa_mfgpc ne pa
    local z2vars
    tempname lbl
    foreach v in `vars' {
        capture local `lbl': var label `v'
        egen z2`v'=std(`v')
        label variable z2`v' "``lbl''"
        local z2vars `z2vars' z2`v'
    }
    local vars1 partyR wealth mfgpc farmpc
    local vars2 partyR wealth mfgpc farmpc ne_mfgpc ne
    local vars3 partyR wealth mfgpc farmpc pa_mfgpc pa
    local vars4 partyR wealth mfgpc farmpc ne_mfgpc pa_mfgpc ne pa
    local vars5 partyR wealth mfgpc farmpc tradedprop
    local vars6 partyR wealth mfgpc tradedpc ntradedpc
    local vars7 partyR wealth mfgpc farmpc ne_mfgpc pa_mfgpc tradedprop ne pa
    local vsets
    forvalues i=1/7 {
        local vsets `vsets' vars`i'
    }
    foreach vset in `vsets' {
        local z2`vset' partyR
        foreach v in ``vset'' {
            if ("`v'" != "partyR" & "`v'" != "na" & "`v'" != "pa") {
                local z2`vset' `z2`vset'' z2`v'
            }
        }
    }
    eststo clear
    forvalues i=1/7 {
        eststo: quietly logit vote `z2vars`i'', vce(cluster statecd)
    }
    esttab using `file'.table.rtf, label pr2 onecell star(+ 0.10 * 0.05 ** 0.01) replace

    // Model 5: partyR wealth mfgpc farmpc tradedpc
    local clvars partyR wealth mfgpc farmpc tradedpc
    foreach v in `clvars' {
        estsimp logit vote `z2vars5'
        setx mean
        setx `v' -0.5
        simqi
        setx `v' 0.5
        simqi
        drop b*
    }
}

